'''

error propogation

'''

import math 
import numpy as np

# x = 2.44e-06

# dx = 1.34e-08

# y = 1.18415832e-08

# dy = 7.95802539e-10

# # Viewport limited: subtends an angle of 2.44e-06 +/- 1.34e-08 steradians
# # Power: 1.18415832e-08 +/- 7.95802539e-10 watts

def multiplyUncertainties(x, y, dx, dy):
	total = x * y

	totalUncertainty = total * math.sqrt(np.square(dx/x) + np.square(dy/y))

	return total, totalUncertainty

def divideUncertainties(x, y, dx, dy):
	total = x / y

	totalUncertainty = total * math.sqrt(np.square(dx/x) + np.square(dy/y))

	return total, totalUncertainty

def addUncertainties(dx, dy):


	totalUncertainty = math.sqrt(np.square(dx) + np.square(dy))

	return totalUncertainty

def subtractUncertainties(dx, dy):


	totalUncertainty = math.sqrt(np.square(dx) + np.square(dy))

	return totalUncertainty

